<div class="content_title">Rozliczenia</div>
<?php

	$lata = $rozliczenia;	

	if(!empty($lata))
	{
		$controler = $this->uri->segment(1);
		$function = $this->uri->segment(2);
		$param = $this->uri->segment(3);
		
		if(@$_POST['year']!=null)
		{
			$this->session->set_userdata('rok', $_POST['year']);
			$rok = $this->session->userdata['rok'];
		}
		else 
		{
			if (empty($this->session->userdata['rok']))
			{
				$this->session->set_userdata('rok', date("Y"));
				$rok = date("Y");
			}
			else
			{
				$rok = $this->session->userdata['rok'];	
			} 
		}
		
		$rok_array = array();	
		
		foreach($lata as $f)
		{		
			if(!in_array($f['year'],$rok_array)) $rok_array[]=$f['year'];
		}
		
		echo '<form action="/'.$controler.'/'.$function.'/'.$param.'" method="post">';
		echo '<table cellspacing="6">';
		echo '<tr><td><b>Zmień rok: </b>';									
		echo '<select name="year">';
			  foreach($rok_array as $r)
			  {
				  echo '<option value="'.$r.'"'; 
				  if ($r==$rok) echo 'selected="selected"'; 
				  echo '>'.$r.'</option>';	
			  } 	 
		echo '</select>';
		echo '</td><td>';										 
		echo '<input type="submit" value="wybierz" /> (aktualnie ustawiony rok '.$rok.')';	 
		echo '</td></tr></table>';	 
		echo '</form><br />';
	}
	
	//print_r($rozliczenia);
				
		$months = array('styczeń','luty','marzec','kwiecień','maj','czerwiec','lipiec','sierpień','wrzesień','październik','listopad','grudzień');
		
		//print_r($rozliczenia);
		
		if(!empty($rozliczenia))
		{
			$i=0;	
			echo '<table id="tablesorter-demo" class="tablesorter" border="0" cellpadding="0" cellspacing="1">
					<tr><th>Pdf</th><th>Typ dostarczenia</th><th>Status</th></tr>						';
			
			foreach($rozliczenia as $r)
			{
				if($r['year']==$rok)
				{
					echo '<tr>';
					$roz = 'rozliczona';
					$nie_roz = 'oczekuje na rozliczenie';
                    $nr_tmp = '';

                   if(!empty($r['nr'])) $nr_tmp = $r['nr'];
                   else $nr_tmp = $r['numer_wlasny'];
					
					//print_r($r);
					if($r['typ']=='Osoba prywatna')
					{
						echo '<td width="370"><a href="/payments/rachunek_pdf_afiliant/'.$r['id'].'" target="_blank"><img src="/files/pdf.gif" alt="" border="0" align="middle" />&nbsp; &nbsp;Raport wypłaty pieniędzy nr <b>'.$nr_tmp.'</b> ('.$r['data_wystawienia'].')</a></td>';
					}
					else
					{
						if($r['typ_dostarczenia']=='online')
                            echo '<td width="370"><a href="/payments/faktura_pdf_afiliant/'.$r['id'].'" target="_blank"><img src="/files/pdf.gif" alt="" border="0" align="middle" />&nbsp; &nbsp;Faktura nr <b>'.$nr_tmp.'</b> ('.$r['data_wystawienia'].')</a></td>';
                        else
                            echo '<td width="370"><a href="/payments/faktura_pdf_afiliant/'.$r['id'].'" target="_blank"><img src="/files/pdf.gif" alt="" border="0" align="middle" />&nbsp; &nbsp;Dane do faktury z <b>'.$r['data_wystawienia'].'</b></a></td>';
					}
						
					if($r['typ_dostarczenia']=='online')
					{
						echo '<td>online</td>';
					}
					else
					{
						if($r['typ']!='Osoba prywatna')
                            echo '<td>samodzielnie</td>';
                        else
                            echo '<td> - - - - - - - - - - </td>';
					}
										
					echo '<td>';
					if($r['zaplacono']==1 and $r['zatwierdzono']==1)
					{
						echo '<div class="green_roz">'.$roz.'</div>';
					}
					else
					{
						echo '<div class="orange_roz">'.$nie_roz.'</div>';
					}							
					echo '</td>';
					echo '</tr>'; 
					$i++;
				}
			}
			echo '</table>';
			if($i == 0) echo '<p class="info_box">Brak rozliczen za podany okres</p>';
		}
		else
		{
			echo '<p class="info_box">Brak rozliczen za podany okres</p>';
		}				
	?><br /><br />